%define prefix /usr
%define name jumanji
%define version 0.0.1
%define release %mkrel 2
%define url http://zathura.pwmt.org/projects/jumanji

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	'as-is'
Group:		Networking/WWW
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	jumanji is a highly customizable and functional web browser
Summary(de):	Jumanji ist ein hochgradig anpassbarer und funktionaler Web-Browser
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libwebkitgtk1.0-devel >= 1.2.1
BuildRequires:  libsoup-devel >= 2.22.4
BuildRequires:  libunique-devel >= 1.1.6
BuildRequires:  libgtk+2.0_0-devel >= 2.18.6
BuildRequires:  libglib2.0_0-devel >= 2.22.4
Requires:       libwebkitgtk1.0_2 >= 1.2.1
Requires:       libsoup >= 2.22.4
Requires:       libunique0 >= 1.1.6
Requires:       libgtk+2.0_0 >= 2.18.6
Requires:       libglib2.0_0 >= 2.22.4	
Obsoletes:	%name < %version

%description
jumanji is a highly customizable and functional web browser 
based on the libwebkit web content engine and the gtk+ toolkit. 
The idea behind jumanji is a web browser that provides a 
minimalistic and space saving interface as well as an easy 
usage that mainly focuses on keyboard interaction like vimperator 
does.

#german
%description -l de
Jumanji ist ein hochgradig anpassbarer und funktionalen Web-Browser 
auf die Web-Inhalte libwebkit Motor und die GTK +-Toolkit basiert. 
Die Idee hinter Jumanji ist ein Web-Browser, eine minimalistische und 
platzsparend Schnittstelle sowie eine einfache Bedienung, die sich vor 
allem darauf konzentriert sich die Tastatur Interaktion wie vimperator 
zur Verfügung stellt.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Jumanji
Name[de]=Jumanji
Comment=a highly customizable and functional web browser
Comment[de]=ein anpassbarer und funktionaler Web-Browser
Exec=jumanji
Icon=web_browser_section.png
Terminal=false
Type=Application
Categories=Application;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers
MimeType=text/html;text/xml;application/xhtml_xml;
Encoding=UTF-8
EOF


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1/jumanji.1.bz2
%doc LICENSE README


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Dec 26 2010 Texstar <texstar at gmail.com> 0.0.1-2pclos2010
- fix rpm group Networking/WWW
- fix menu name Jumanji

* Sun Dec 26 2010 leiche <meisssw01 at aol.com> 0.0.1-1leiche2010
- test
